ZITADEL Docs
APIsCore ResourcesV1Organization Objects

Add Project Grant

Deprecated: use CreateProjectGrant instead.

Grant a project to another organization. The project grant will allow the granted organization to access the project and manage the role assignments for its users. Project Grant will be listed in the granted project of the granted organization.

POST
/projects/{project_id}/grants

Path Parameters

project_id*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://loading/projects/string/grants" \  -H "Content-Type: application/json" \  -d '{}'
{
  "grantId": "string",
  "details": {
    "sequence": 0,
    "creationDate": "2023-01-15T01:30:15.01Z",
    "changeDate": "2023-01-15T01:30:15.01Z",
    "resourceOwner": "string"
  }
}

Was this page helpful?